org.springframework.cloud.dataflow.server.controller.assembler

## Class DefaultAppRegistrationAssembler<R extends AppRegistrationResource>

- java.lang.Object
- - org.springframework.hateoas.server.mvc.RepresentationModelAssemblerSupport<AppRegistration,R>
  - - org.springframework.cloud.dataflow.server.controller.assembler.DefaultAppRegistrationAssembler<R>

- All Implemented Interfaces:
    org.springframework.hateoas.server.RepresentationModelAssembler<AppRegistration,R>

      public class DefaultAppRegistrationAssembler<R extends AppRegistrationResource>
      extends org.springframework.hateoas.server.mvc.RepresentationModelAssemblerSupport<AppRegistration,R>

  Default REST resource assembler that returns the `AppRegistrationResource` type.
  Author:
    Ilayaperumal Gopinathan

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultAppRegistrationAssembler(Class<R> resourceType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected R` | `instantiateModel(AppRegistration registration)`
    `R` | `toModel(AppRegistration registration)`

    - ### Methods inherited from class org.springframework.hateoas.server.mvc.RepresentationModelAssemblerSupport

      `createModelWithId, createModelWithId, getControllerClass, getResourceType, map, toCollectionModel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultAppRegistrationAssembler

          public DefaultAppRegistrationAssembler(Class<R> resourceType)

  - ### Method Detail

    - #### toModel

          public R toModel(AppRegistration registration)

    - #### instantiateModel

          protected R instantiateModel(AppRegistration registration)

      Overrides:
        `instantiateModel` in class `org.springframework.hateoas.server.mvc.RepresentationModelAssemblerSupport<AppRegistration,R extends AppRegistrationResource>`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.